未找到框架“.NETFramework,Version=v4.6.1”的引用程序集 的解决办法

从Unity可以打开c#文件,但高亮没有,生成也报错…真的离谱…各种重装百度都没用,断断续续搞了快一天,终于能用了,妙啊

错误信息:

未找到框架“.NETFramework,Version=v4.6.1”的引用程序集。若要解决此问题,请安装此框架版本的 SDK 或 Targeting Pack,或将应用程序的目标重新指向已装有 SDK 或 Targeting Pack 的框架版本。请注意,将从全局程序集缓存(GAC)解析程序集,并将使用这些程序集替换引用程序集。因此,程序集的目标可能未正确指向您所预期的框架。

打开项目出现的提示:

类似这样:
在这里插入图片描述

因为没截图就找了网上老版本的一张图,大致意思一样

解决:

  1. 右键 报错的这个解决方案 —— 属性
    在这里插入图片描述
  2. 目标框架 —— 选择刚报错中显示连接不到的那个framework
    1)如果没有显示那个framework,查看C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework.NETFramework 中有没有这个版本,如果有,说明其实已经安装了此版本。
    2)则将.NETFramework文件夹整个复制到C:\Program Files\Reference Assemblies\Microsoft\Framework 文件夹中。
    3)重新打开属性,出现了需要的framework版本,选择即可。没出现可以等一会儿或者都关了重新打开vs
    在这里插入图片描述
已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 深蓝海洋 设计师:CSDN官方博客 返回首页